package com.goldenwater.slaj.eng.service;

import java.util.List;

/**
 * 工程属性服务接口 - 每个工程类型各自实现
 */
public interface IEngAttrService<T> {
    T selectByGuid(String guid);
    List<T> selectList(T entity);
    int insert(T entity);
    int update(T entity);
    int deleteByGuid(String guid);
    int deleteByGuids(String[] guids);
}
